//============================================================================
// Name        : LatexTabellenLogger.cpp
// Author      : Rdiger Knrig
// Version     :
// Copyright   : GPL
// Description : Hello World in C++, Ansi-style
//============================================================================

#include <iostream>
#include "LatexTabellenLogger.h"

using namespace std;

int main() {
	try{
		cout << "Erzeuge eine Latex-Tabelle mit 3 Spalten" << endl; // prints !!!Hello World!!!
		LatexTabellenLogger tabelle("Test.tex",3,2,"de_DE");
		tabelle.setzeBeschriftung("Zurckgelegter Weg und erreichte Geschwindigkeit beim freiem Fall.");
		tabelle.setzeBezeichnung("tab:Beispiel1");
		tabelle << " $t$ [s]" << " $s(t)$ " << "$\\frac{ds(t)}{dt}$";
		double a=9.81;
		for(double t=0.0;t<=0.3;t+=0.01)
		{
			tabelle << t << 0.5*a*t*t << a*t;
		}
		tabelle << 1 << -2000 << 3000U;
	}catch(const std::runtime_error &e)
	{
		cerr << "Laufzeitfehler bei der Ausfhrung: " << e.what() << endl;
		return -1;
	}
	return 0;
}
